<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-invoice-heading" data-cy="InvoiceCreateUpdateHeading">Create or edit a Invoice</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_type">Type</label>
          <input type="number" class="form-control" name="type" id="field_type" data-cy="type" formControlName="type" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tanggal">Tanggal</label>
          <div class="input-group">
            <input
              id="field_tanggal"
              data-cy="tanggal"
              type="text"
              class="form-control"
              name="tanggal"
              ngbDatepicker
              #tanggalDp="ngbDatepicker"
              formControlName="tanggal"
            />
            <button type="button" class="btn btn-secondary" (click)="tanggalDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tglOrder">Tgl Order</label>
          <div class="input-group">
            <input
              id="field_tglOrder"
              data-cy="tglOrder"
              type="text"
              class="form-control"
              name="tglOrder"
              ngbDatepicker
              #tglOrderDp="ngbDatepicker"
              formControlName="tglOrder"
            />
            <button type="button" class="btn btn-secondary" (click)="tglOrderDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jmlOrder">Jml Order</label>
          <input type="number" class="form-control" name="jmlOrder" id="field_jmlOrder" data-cy="jmlOrder" formControlName="jmlOrder" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jmlOrderCancel">Jml Order Cancel</label>
          <input
            type="number"
            class="form-control"
            name="jmlOrderCancel"
            id="field_jmlOrderCancel"
            data-cy="jmlOrderCancel"
            formControlName="jmlOrderCancel"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_noProformaPnbp">No Proforma Pnbp</label>
          <input
            type="text"
            class="form-control"
            name="noProformaPnbp"
            id="field_noProformaPnbp"
            data-cy="noProformaPnbp"
            formControlName="noProformaPnbp"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_noProformaJasa">No Proforma Jasa</label>
          <input
            type="text"
            class="form-control"
            name="noProformaJasa"
            id="field_noProformaJasa"
            data-cy="noProformaJasa"
            formControlName="noProformaJasa"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_noBillpymPnbp">No Billpym Pnbp</label>
          <input
            type="text"
            class="form-control"
            name="noBillpymPnbp"
            id="field_noBillpymPnbp"
            data-cy="noBillpymPnbp"
            formControlName="noBillpymPnbp"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_noBillpymJasa">No Billpym Jasa</label>
          <input
            type="text"
            class="form-control"
            name="noBillpymJasa"
            id="field_noBillpymJasa"
            data-cy="noBillpymJasa"
            formControlName="noBillpymJasa"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_amountPnbp">Amount Pnbp</label>
          <input
            type="number"
            class="form-control"
            name="amountPnbp"
            id="field_amountPnbp"
            data-cy="amountPnbp"
            formControlName="amountPnbp"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_taxPnbp">Tax Pnbp</label>
          <input type="number" class="form-control" name="taxPnbp" id="field_taxPnbp" data-cy="taxPnbp" formControlName="taxPnbp" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_totalAmountPnbp">Total Amount Pnbp</label>
          <input
            type="number"
            class="form-control"
            name="totalAmountPnbp"
            id="field_totalAmountPnbp"
            data-cy="totalAmountPnbp"
            formControlName="totalAmountPnbp"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_amountJasa">Amount Jasa</label>
          <input
            type="number"
            class="form-control"
            name="amountJasa"
            id="field_amountJasa"
            data-cy="amountJasa"
            formControlName="amountJasa"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_vatJasa">Vat Jasa</label>
          <input type="number" class="form-control" name="vatJasa" id="field_vatJasa" data-cy="vatJasa" formControlName="vatJasa" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_taxJasa">Tax Jasa</label>
          <input type="number" class="form-control" name="taxJasa" id="field_taxJasa" data-cy="taxJasa" formControlName="taxJasa" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_totalAmountJasa">Total Amount Jasa</label>
          <input
            type="number"
            class="form-control"
            name="totalAmountJasa"
            id="field_totalAmountJasa"
            data-cy="totalAmountJasa"
            formControlName="totalAmountJasa"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_fileProformaPnbp">File Proforma Pnbp</label>
          <input
            type="text"
            class="form-control"
            name="fileProformaPnbp"
            id="field_fileProformaPnbp"
            data-cy="fileProformaPnbp"
            formControlName="fileProformaPnbp"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_fileProformaJasa">File Proforma Jasa</label>
          <input
            type="text"
            class="form-control"
            name="fileProformaJasa"
            id="field_fileProformaJasa"
            data-cy="fileProformaJasa"
            formControlName="fileProformaJasa"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_fileBillpymPnbp">File Billpym Pnbp</label>
          <input
            type="text"
            class="form-control"
            name="fileBillpymPnbp"
            id="field_fileBillpymPnbp"
            data-cy="fileBillpymPnbp"
            formControlName="fileBillpymPnbp"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_fileBillpymJasa">File Billpym Jasa</label>
          <input
            type="text"
            class="form-control"
            name="fileBillpymJasa"
            id="field_fileBillpymJasa"
            data-cy="fileBillpymJasa"
            formControlName="fileBillpymJasa"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_fileBulk">File Bulk</label>
          <input type="text" class="form-control" name="fileBulk" id="field_fileBulk" data-cy="fileBulk" formControlName="fileBulk" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_fileTax">File Tax</label>
          <input type="text" class="form-control" name="fileTax" id="field_fileTax" data-cy="fileTax" formControlName="fileTax" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_fileTxt">File Txt</label>
          <input type="text" class="form-control" name="fileTxt" id="field_fileTxt" data-cy="fileTxt" formControlName="fileTxt" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_status">Status</label>
          <input type="number" class="form-control" name="status" id="field_status" data-cy="status" formControlName="status" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateBy">Update By</label>
          <input type="text" class="form-control" name="updateBy" id="field_updateBy" data-cy="updateBy" formControlName="updateBy" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateOn">Update On</label>
          <div class="d-flex">
            <input
              id="field_updateOn"
              data-cy="updateOn"
              type="datetime-local"
              class="form-control"
              name="updateOn"
              formControlName="updateOn"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
